> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contract events

> Retrieve paginated list of events for a specific contract



## OpenAPI

````yaml /api/modo-canton.json get /v1/contracts/{contractId}/events
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/contracts/{contractId}/events:
    get:
      tags:
        - Contracts
      summary: Get contract events
      description: Retrieve paginated list of events for a specific contract
      operationId: getContractEvents
      parameters:
        - name: contractId
          in: path
          description: Contract ID
          required: true
          schema:
            type: string
          example: >-
            00cd34c126fdf944c0e5fd84fe55a280cc860ea01452b3885d5cdf8d08118acfe8ca101220746f7477a4660994059d6d47879e8f741e3b4f019c5a5b7678f5478fce9e57d8
        - name: sortBy
          in: query
          description: Sorting parameter.
          required: true
          schema:
            type: string
            default: AGE
            enum:
              - AGE
          example: AGE
        - name: size
          in: query
          description: Number of queried entries.
          required: true
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 20
          example: 20
        - name: orderBy
          in: query
          description: >-
            Sorting method: from the lowest element to the highest (ASC) or from
            the highest element to the lowest (DESC).
          required: true
          schema:
            type: string
            default: DESC
            enum:
              - ASC
              - DESC
          example: DESC
        - name: nextCursor
          in: query
          description: >-
            Cursor for pagination to retrieve the next page of results. Leave
            empty for the first page.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PageResponseContractEventDtoAPI'
components:
  schemas:
    PageResponseContractEventDtoAPI:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/ContractEventDtoAPI'
        hasNextPage:
          type: boolean
        nextCursor:
          type: string
    ContractEventDtoAPI:
      type: object
      properties:
        eventId:
          type: string
        updateId:
          type: string
        effectiveAt:
          type: integer
          format: int64
        recordTime:
          type: integer
          format: int64
        migrationId:
          type: integer
          format: int32
        createdEvents:
          type: integer
          format: int32
        synchronizer:
          type: string
        synchronizerName:
          type: string
        synchronizerImg:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````